/**
 * Created on 30 Oct. 2009
 * Created by Takaki Tsue, Masato Kawahashi
 * Copyright (C) 2009 HIMACS,Ltd. 
 * Licensed under the Apache License, Version 2.0
 *
 */
/**
 * To avoid the follwing bug
 * http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6230761
 */
package jp.himacs.avoidbugs.ipv6.bug6230761;

import java.net.DatagramSocket;
import java.net.DatagramSocketImpl;
import java.net.SocketAddress;
import java.net.SocketException;

/**
 * @author t-tsue
 *
 */
public class DatagramSocketBug6230761 extends DatagramSocket {
	
	/**
	 * 
	 * @throws SocketException
	 */
	public DatagramSocketBug6230761() throws SocketException {
		super();
	}

	public DatagramSocketBug6230761(DatagramSocketImpl arg0) {
		super(arg0);
	}

	public DatagramSocketBug6230761(SocketAddress bindaddr) throws SocketException {
		super(bindaddr);
	}

	@Override
	public synchronized void bind(SocketAddress addr) throws SocketException {
		if (this.isBound()) {
			return;
		}
		super.bind(addr);
	}

	
}
